{% load i18n %}
<div class="card">
  <div class="card-header"><h3 class="card-title">{% translate 'Working times schedule' %}</h3></div>

  {% if object %}
    <div class="table-responsive">
      <table class="table card-table table-vcenter text-nowrap">
        <thead>
        <tr>
          <th>{% translate 'Day' %}</th>
          <th>{% translate 'Start' %}</th>
          <th>{% translate 'End' %}</th>
        </tr>
        </thead>
        <tbody>
        {% for wtr in object.working_hours.all %}
          <tr>
            <td>
              {% ifchanged wtr.weekday %}{{ wtr.weekday_str }}{% endifchanged %}
            </td>
            <td >{{ wtr.start_time }}</td>
            <td>{{ wtr.end_time }}</td>
          </tr>
        {% endfor %}
        </tbody>
      </table>
    </div>
    <div class="card-footer d-flex text-muted">
      <ul class="list-inline list-inline-dots">
        {% with start_date=object.start_date work_days_per_week=object.work_days_per_week week_hours=object.total_working_time_h %}
          <li class="list-inline-item">{% blocktranslate %}Working schedule since: {{ start_date }}{% endblocktranslate %}</li>
          <li class="list-inline-item">{% blocktranslate %}{{ week_hours }} h/week{% endblocktranslate %}</li>
          <li class="list-inline-item">{% blocktranslate %}{{ work_days_per_week }} days/week{% endblocktranslate %}</li>
        {% endwith %}
      </ul>
    </div> {% else %}
    <div class="card-body">
      <div class="alert alert-danger">
        <h4>{% translate 'No working times defined.' %}</h4>
        <p>{% blocktranslate %}Please let your employer define some working time ranges first.{% endblocktranslate %}</p>
      </div>
    </div>
  {% endif %}
</div>
